| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorScaleManipulator Class Reference

Vertex manipulator which scales the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorScaleManipulator:

List of all members.

## Public Member Functions

- SVertexColorScaleManipulator (f32 factor)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which scales the color values.

Can e.g be used for white balance, factor would be 255.f/brightest color.

Definition at line 145 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorScaleManipulator::SVertexColorScaleManipulator | ( | f32 | factor | ) | `[inline]`

Definition at line 148 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorScaleManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 149 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h